textRender()
Render given text into an image slot. It use current font at given size. If image slot number is omitted, it store rendered text into first free slot and return it's index number. You can specify render style option: 0(default) = solid, 1 = shaded and 2 = blended. Text color depend by current ink color. See ink() command.
Syntax:
variable = textRender( text , size )
In this case image slot is automatically assigned by sdlBasic and its number returned into variable
Syntax:
textRender( text , size , slot )
textRender( text , size , slot , style )
text is the text to be written.
size is text size and is expressed in points.
slot is image slot number where generated image will be stored.
style parameter can be: 0(default)= solid, 1= shaded, 2 = blended.
Example:
a$=" sdlBasic "
ink(rgb(255,128,0))
textrender( a$, 16, 1 )
pastebob(100,200,1)
prints("press any key to exit")
while inkey=0
bob(1,xmouse,20,1)
sprite(1,20,ymouse,1)
end while
waitkey